import { FetcherResult } from './useSelectTable';
export declare function useTableDropdown(props: any): {
    fetcher: ({ keyword, pageNo, pageSize, }: {
        keyword?: string;
        pageNo: number;
        pageSize: number;
    }) => Promise<FetcherResult>;
    columns: import('vue').ComputedRef<any>;
    fieldInfo: import('vue').ComputedRef<import('../../../../../../capabilities/model-field-runtime').FieldMeta | null>;
    strategy: import('vue').ComputedRef<import('../strategy/selectStrategy').SelectStrategy>;
    message: import('vue').ComputedRef<string>;
    enableLinkage: import('vue').ComputedRef<boolean>;
    clearValuePath: import('vue').ComputedRef<string | undefined>;
};
